=== debian/changelog ===
foundry (0.0.20100226-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Fri, 26 Feb 2010 14:47:11 +0100

foundry (0.0.20100221-1) unstable; urgency=low

  * New upstream release
  * Switch to 3.0 (quilt) format
  * Kill xcontrol file

 -- Simon Richter <sjr@debian.org>  Sun, 21 Feb 2010 00:24:34 +0100

foundry (0.0.20090514-3) unstable; urgency=low

  * Update Boost build dependencies
  * Add support for parallel builds

 -- Simon Richter <sjr@debian.org>  Thu, 27 Aug 2009 16:46:45 +0200

foundry (0.0.20090514-2) unstable; urgency=low

  * Remove bashism in debian/rules (Closes: #535381)
  * Bump Standards-Version

 -- Simon Richter <sjr@debian.org>  Thu, 02 Jul 2009 10:18:12 +0200

foundry (0.0.20090514-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Thu, 14 May 2009 17:28:27 +0200

foundry (0.0.20090513-1) unstable; urgency=low

  * New upstream release
  * Move to unstable in anticipation of dependency from debian-xcontrol

 -- Simon Richter <sjr@debian.org>  Wed, 13 May 2009 12:48:35 +0200

foundry (0.0.20090508.1751-1) experimental; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Fri, 08 May 2009 17:52:08 +0200

foundry (0.0.20090508-1) experimental; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Fri, 08 May 2009 16:06:26 +0200

foundry (0.0.20090507-1) experimental; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Thu, 07 May 2009 10:17:03 +0200

foundry (0.0.20090506-1) experimental; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Wed, 06 May 2009 10:36:57 +0200

foundry (0.0.20090505-1) experimental; urgency=low

  * Initial release

 -- Simon Richter <sjr@debian.org>  Tue, 05 May 2009 21:31:15 +0200
