=== debian/control ===
Source: foundry
Section: devel
Priority: extra
Maintainer: Simon Richter <sjr@debian.org>
Build-Depends: libboost-dev, debhelper (>= 7), flex, bison
Standards-Version: 3.8.2

Package: foundry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Code generation tools
 This is (the start of) a collection of code generators for various common
 tasks in software development.
 .
 Contains:
  * an AST/CST class generator (with a heavy bias towards C++ and Boost)
