=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
$(error Cross compilation not supported)
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
parallel = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

CXXFLAGS += -W -Wall -Werror
LDFLAGS += -W -Wall -Werror

build-indep:

build-arch:
	dh_testdir
	$(MAKE) $(parallel)

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	$(MAKE) clean
	$(RM) tree/tree_cst_lex.[ch]pp tree/tree_cst_parse.[ch]pp \
          tree/tree_bison_lex.[ch]pp tree/tree_bison_parse.[ch]pp
	dh_clean 

binary-indep:

binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary
