=== debian/changelog ===
foundry (0.0.20130703-3) unstable; urgency=low

  * Update gcc 4.8 workaround

 -- Simon Richter <sjr@debian.org>  Wed, 03 Jul 2013 15:11:08 +0200

foundry (0.0.20130703-2) unstable; urgency=low

  * Work around #714851.

 -- Simon Richter <sjr@debian.org>  Wed, 03 Jul 2013 14:44:05 +0200

foundry (0.0.20130703-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Wed, 03 Jul 2013 12:10:58 +0200

foundry (0.0.20130624-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Mon, 24 Jun 2013 14:05:31 +0200

foundry (0.0.20100226-3) unstable; urgency=low

  * Fix build with gcc 4.8 (Closes: #701279)
  * Bump Standards-Version
  * Use debhelper 9
  * Fix lintian warnings

 -- Simon Richter <sjr@debian.org>  Fri, 14 Jun 2013 21:45:26 +0200

foundry (0.0.20100226-2) unstable; urgency=low

  * Fix build against bison 2.7 (Closes: #710652)

 -- Simon Richter <sjr@debian.org>  Sat, 01 Jun 2013 13:39:46 +0200
