=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
$(error Cross compilation not supported)
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- CXXFLAGS+='-W -Wall -Werror'
