=== debian/changelog ===
foundry (0.0.20130809-2) unstable; urgency=low

  * Add nothrow dtors for exceptions (powerpc complained)

 -- Simon Richter <sjr@debian.org>  Fri, 09 Aug 2013 18:47:32 +0200

foundry (0.0.20130809-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Fri, 09 Aug 2013 17:28:46 +0200

foundry (0.0.20130716-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Tue, 16 Jul 2013 20:09:04 +0200
