=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Simon Richter <sjr@debian.org>
-Build-Depends: libboost-dev, debhelper (>= 7), flex, bison
-Standards-Version: 3.8.2
+Build-Depends: libboost-dev, debhelper (>= 9), flex, bison
+Standards-Version: 3.9.4
 
 Package: foundry
 Architecture: any
