=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@ --parallel
 
 override_dh_auto_build:
-	dh_auto_build -- CXXFLAGS+='-W -Wall -Werror'
+	dh_auto_build --parallel -- CXXFLAGS+='-W -Wall -Werror'
