=== debian/watch ===
version=3
http://www.hogyros.de/download/foundry-(.*)\.tar\.gz
