## foundry 1.0~rc

=== debian/changelog ===
foundry (1.0~rc-1) experimental; urgency=medium

  * Initial release (Closes: #1114844)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Sep 2025 13:50:30 -0400
