=== debian/control ===
Source: foundry
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-dex-1-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gtk-4.0-dev,
               gir1.2-gtksource-5-dev,
               gir1.2-json-1.0-dev,
               gir1.2-peas-2-dev,
               gobject-introspection,
               libcmark-dev,
               libdex-dev (>= 0.11),
               libeditorconfig-dev,
               libflatpak-dev,
               libgit2-dev,
               libglib2.0-dev (>= 2.82),
               libgom-1.0-dev,
               libgtksourceview-5-dev (>= 5.14),
               libjson-glib-dev,
               libpeas-2-dev,
               libspelling-1-dev,
               libssh2-1-dev,
               libsysprof-capture-4-dev,
               libtemplate-glib-1.0-dev (>= 3.37.0),
               libvte-2.91-gtk4-dev (>= 0.80),
               libwebkitgtk-6.0-dev,
               libxml2-utils,
               libyaml-dev,
               meson
Build-Depends-Indep: gi-docgen <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/foundry
Vcs-Git: https://salsa.debian.org/gnome-team/foundry.git
Homepage: https://gitlab.gnome.org/GNOME/foundry

Package: foundry
Architecture: any
Depends: foundry-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Command line IDE tool
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the command line utilities.

Package: foundry-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Library for building IDEs - common files
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains common data files and translations.

Package: gir1.2-foundry-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection files for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: gir1.2-foundrygtk-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection files for libfoundry-gtk
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libfoundry-1-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: foundry-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library for building IDEs
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the shared library.

Package: libfoundry-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdex-dev (>= 0.11),
         libeditorconfig-dev,
         libflatpak-dev,
         libfoundry-1-1 (= ${binary:Version}),
         libgit2-dev,
         libglib2.0-dev (>= 2.82),
         libgom-1.0-dev,
         libjson-glib-dev,
         libpeas-2-dev,
         libspelling-1-dev,
         libssh2-1-dev,
         libsysprof-capture-4-dev,
         libtemplate-glib-1.0-dev (>= 3.37.0),
         libyaml-dev,
         ${gir:Depends},
         ${misc:Depends}
Recommends: pkgconf
Suggests: libfoundry-doc
Provides: ${gir:Provides}
Description: Development files for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the development files.

Package: libfoundry-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Documentation for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the API reference.

Package: libfoundry-gtk-1-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for building IDEs with GTK widgets
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the shared library with GTK4 widgets.

Package: libfoundry-gtk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcmark-dev,
         libdex-dev (>= 0.11),
         libeditorconfig-dev,
         libflatpak-dev,
         libfoundry-dev (= ${binary:Version}),
         libfoundry-gtk-1-1 (= ${binary:Version}),
         libgit2-dev,
         libglib2.0-dev (>= 2.82),
         libgom-1.0-dev,
         libgtksourceview-5-dev (>= 5.14),
         libjson-glib-dev,
         libpeas-2-dev,
         libspelling-1-dev,
         libssh2-1-dev,
         libsysprof-capture-4-dev,
         libtemplate-glib-1.0-dev (>= 3.37.0),
         libvte-2.91-gtk4-dev (>= 0.80),
         libwebkitgtk-6.0-dev,
         libyaml-dev,
         ${gir:Depends},
         ${misc:Depends}
Recommends: pkgconf
Suggests: libfoundry-doc
Provides: ${gir:Provides}
Description: Development files for libfoundry-gtk
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the development files.
