## foundry 1.0.1

=== debian/changelog ===
foundry (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/*.symbols: Add new symbols
  * Remove unnecessary direct Depends: foundry -> foundry-common
  * foundry.install: Install new AppStream metadata file
  * Update debian/copyright
  * Bump Standards Version to 4.7.3
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Feb 2026 12:04:10 -0500
