=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: foundry
 Section: devel
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -32,15 +31,14 @@
                libyaml-dev,
                meson
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/foundry
 Vcs-Git: https://salsa.debian.org/gnome-team/foundry.git
 Homepage: https://gitlab.gnome.org/GNOME/foundry
 
 Package: foundry
 Architecture: any
-Depends: foundry-common (>= ${source:Version}),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Command line IDE tool
  Foundry is a framework that can be used to build developer
