=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-doc,$(built_binaries)),)
BUILD_DOCS := -Ddocs=true
else
BUILD_DOCS := -Ddocs=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_DOCS)
