## foundry 1.1~beta

=== debian/changelog ===
foundry (1.1~beta-3) unstable; urgency=medium

  * Add Depends: libxml2-dev
  * Re-enable most features

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Feb 2026 11:12:44 -0500

foundry (1.1~beta-2) unstable; urgency=medium

  * Disable features not needed by manuals
  * debian/libfoundry-1-1.symbols: Remove symbols that are no longer exported

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 18:24:21 -0500

foundry (1.1~beta-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libreadline-dev, libsecret-1-dev
  * Bump minimum gtk4, gtksourceview5, and libdex
  * Only build for Linux
  * Don't build adwaita library for now
  * Don't build flatpak feature on alpha and don't build gtk4 library
    on architectures that don't have the latest gtk4
  * debian/foundry.install: Install new manpage
  * debian/foundry-common.install: Install translations
  * debian/*.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 13:40:26 -0500
