=== debian/control ===
Source: foundry
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Section: devel
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-dex-1-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gtk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               gir1.2-gtksource-5-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               gir1.2-json-1.0-dev,
               gir1.2-peas-2-dev,
               gobject-introspection,
#               libcmark-dev,
               libdex-dev (>= 1.1~alpha),
               libeditorconfig-dev,
               libflatpak-dev [!alpha],
               libgit2-dev,
               libglib2.0-dev (>= 2.82),
               libgom-1.0-dev,
               libgtk-4-dev (>= 4.20) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               libgtksourceview-5-dev (>= 5.18) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               libjson-glib-dev,
               libpeas-2-dev,
               libreadline-dev,
               libsecret-1-dev,
               libsoup-3.0-dev,
               libspelling-1-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               libssh2-1-dev,
               libsysprof-capture-4-dev,
               libtemplate-glib-1.0-dev (>= 3.37.0),
               libvte-2.91-gtk4-dev (>= 0.80) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
#               libwebkitgtk-6.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64],
               libxml2-dev,
               libxml2-utils,
               libyaml-dev,
               meson
Build-Depends-Indep: gi-docgen <!nodoc>
Vcs-Browser: https://salsa.debian.org/gnome-team/foundry
Vcs-Git: https://salsa.debian.org/gnome-team/foundry.git
Homepage: https://gitlab.gnome.org/GNOME/foundry

Package: foundry
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Command line IDE tool
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the command line utilities.

Package: foundry-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Description: Library for building IDEs - common files
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains common data files and translations.

Package: gir1.2-foundry-1
Architecture: linux-any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection files for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: gir1.2-foundrygtk-1
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection files for libfoundry-gtk
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libfoundry-1-1
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: foundry-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Library for building IDEs
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the shared library.

Package: libfoundry-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libdex-dev (>= 1.1~alpha),
         libeditorconfig-dev,
         libflatpak-dev [!alpha],
         libfoundry-1-1 (= ${binary:Version}),
         libgit2-dev,
         libglib2.0-dev (>= 2.82),
         libgom-1.0-dev,
         libjson-glib-dev,
         libpeas-2-dev,
         libsecret-1-dev,
         libspelling-1-dev,
         libssh2-1-dev,
         libsysprof-capture-4-dev,
         libtemplate-glib-1.0-dev (>= 3.37.0),
         libyaml-dev,
         ${gir:Depends},
         ${misc:Depends}
Recommends: pkgconf
Suggests: libfoundry-doc
Provides: ${gir:Provides}
Description: Development files for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the development files.

Package: libfoundry-doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for libfoundry
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the API reference.

Package: libfoundry-gtk-1-1
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for building IDEs with GTK widgets
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the shared library with GTK4 widgets.

Package: libfoundry-gtk-dev
Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x ppc64
Multi-Arch: same
Section: libdevel
Depends: libdex-dev (>= 1.1~alpha),
#         libcmark-dev,
         libeditorconfig-dev,
         libflatpak-dev [!alpha],
         libfoundry-dev (= ${binary:Version}),
         libfoundry-gtk-1-1 (= ${binary:Version}),
         libgit2-dev,
         libglib2.0-dev (>= 2.82),
         libgom-1.0-dev,
         libgtk-4-dev (>= 4.20),
         libgtksourceview-5-dev (>= 5.18),
         libjson-glib-dev,
         libpeas-2-dev,
         libsecret-1-dev,
         libspelling-1-dev,
         libssh2-1-dev,
         libsysprof-capture-4-dev,
         libtemplate-glib-1.0-dev (>= 3.37.0),
         libvte-2.91-gtk4-dev (>= 0.80),
#         libwebkitgtk-6.0-dev,
         libyaml-dev,
         ${gir:Depends},
         ${misc:Depends}
Recommends: pkgconf
Suggests: libfoundry-doc
Provides: ${gir:Provides}
Description: Development files for libfoundry-gtk
 Foundry is a framework that can be used to build developer
 tools such as GNOME Builder, Manuals, and Sysprof.
 .
 This package contains the development files.
