=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dadwaita=false \
		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dfeature-flatpak=$(if $(filter alpha,$(DEB_HOST_ARCH)),false,true) \
		-Dgtk=$(if $(filter libfoundry-gtk-%,$(shell dh_listpackages)),true,false) \
		-Dcommonmark=false \
		-Dwebkit=false
