## foundry 1.1~rc

=== debian/changelog ===
foundry (1.1~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/libfoundry-1-1.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Feb 2026 16:07:25 -0500
