## foundry sdk-0.0.112

=== requirements.txt ===
pandas>=1.5.0
numpy>=1.21.0
kedro >= 0.19.0
kedro-viz >= 10.0.0
kedro-datasets >= 6.0.0
kedro-mlflow >= 0.14.0
polars
